## Struct template save_result_wrapper

boost::log::save_result_wrapper — Function object wrapper for saving the adopted function object result.

## Synopsis

    // In header: <boost/log/utility/functional/save_result.hpp>

    template<typename FunT, typename AssigneeT>
    struct save_result_wrapper {
      // types
      typedef void result_type;

      // construct/copy/destruct
      save_result_wrapper(FunT, AssigneeT &);

      // public member functions
      template<typename ArgT> result_type operator()(ArgT const &) const;
    };

## Description

### `save_result_wrapper` public construct/copy/destruct

1.     save_result_wrapper(FunT fun, AssigneeT & assignee);

### `save_result_wrapper` public member functions

1.     template<typename ArgT> result_type operator()(ArgT const & arg) const;